> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve refund statements

GET https://api.letsdeel.com/rest/refund-statements

Use this endpoint to retrieve a list of refund statements. This allows review of past transactions and reconciliation of accounts.

 **Token scopes**: `accounting:read`

Reference: https://developer.deel.com/api/reference/endpoints/accounting/retrieve-refund-statements-v-2026-04-30

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `date_from` (string, optional) — Filters results to include payments created on or after this date (in ISO 8601 format).
- `date_to` (string, optional) — Filters results to include payments created before this date (in ISO 8601 format).
- `cursor` (string, optional) — A cursor for pagination. Use the value returned in the 'next_cursor' field to get the next page of results.
- `currencies` (list of string, optional) — Filters payments by their currency codes. Can be a single currency code or an array of codes.
- `entities` (list of enum, optional) — Filters payments by legal entity type (e.g., 'individual' or 'company'). Can be a single entity type or an array.
  - Allowed values: `individual`, `company`

## Response

### 200

Successfully retrieved refund statements.

- `data` (RefundStatementsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of RefundStatementsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `errors` (list of RefundStatementsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of RefundStatementsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### RefundStatementsGetResponsesContentApplicationJsonSchemaData

- `rows` (list of RefundStatementsGetResponsesContentApplicationJsonSchemaDataRowsItems, required) — Array of refund statements matching the query criteria.
- `has_more` (boolean, required) — Inform if there are more entries to be fetched using next cursor,.
- `next_cursor` (string, required, nullable) — A cursor for pagination. Use the value returned in the 'next_cursor' field to get the next page of results. If there are no more results, this will be null.
- `total_count` (integer, required) — The total number of refund statements matching the query.

### RefundStatementsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### RefundStatementsGetResponsesContentApplicationJsonSchemaDataRowsItems

- `id` (string, required) — Unique identifier of the refund statement.
- `label` (string, required) — A descriptive label for the refund statement.
- `amount` (string, required) — Amount of the payment.
- `status` (enum, required) — Status of the refund statement. Either 'paid', 'processing', 'cancelled' or 'failed'.
  - Allowed values: `paid`, `processing`, `cancelled`, `failed`
- `currency` (string, required) — Three-letter currency code for the payment, following ISO 4217.
- `created_at` (string, required) — Date and time when the refund statement was created, in ISO-8601 format.
- `payment_method` (enum, required) — Method of payment used for the refund statement.
  - Allowed values: `bank_transfer`, `client_balance`
- `paid_at` (string, optional, nullable) — Date and time when the refund statement was completed, in ISO-8601 format.

## Examples

**Response**

```json
{
  "data": {
    "rows": [
      {
        "id": "34d7Y48Ymu44g66fghN9F",
        "label": "REC-2024-3",
        "amount": "1500.00",
        "status": "paid",
        "currency": "USD",
        "created_at": "2022-05-23T14:45:30.123Z",
        "payment_method": "bank_transfer",
        "paid_at": "2022-05-24T09:38:46.235Z"
      }
    ],
    "has_more": true,
    "next_cursor": "BHF2gkMEMT8D9UQDmty66",
    "total_count": 150
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/refund-statements"

querystring = {"currencies":"[\"USD\",\"EUR\"]","cursor":"BHF2gkMEMT8D9UQDmty66","date_from":"2022-01-01","date_to":"2022-12-31","entities":"[\"company\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/refund-statements?currencies=%5B%22USD%22%2C%22EUR%22%5D&cursor=BHF2gkMEMT8D9UQDmty66&date_from=2022-01-01&date_to=2022-12-31&entities=%5B%22company%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```